<div class="container kd-dialog-default">
  <h1 mat-dialog-title>Create new user account</h1>

  <form novalidate [formGroup]="newUserAccountForm" (ngSubmit)="onCreateNewUserAccount()">
      <mat-dialog-content>
        <div class="form-group">
          <label for="email" class="form-check-label">Email</label>
          <input name="email" formControlName="email" type="email" [value]="email"
                 class="form-control kd-form-input" email required>
          <mat-error *ngIf="email.dirty && email.errors?.required" class="kd-error">
            Email is required
          </mat-error>
          <mat-error *ngIf="email.dirty && email.errors?.email" class="kd-error">
            Email format is incorrect
          </mat-error>
        </div>
        <div class="form-group">
          <label for="password" class="form-check-label">Password</label>
          <input name="password" formControlName="password" type="password"
                 class="form-control kd-form-input" required>
          <mat-error *ngIf="password.dirty && password.errors?.required" class="kd-error">
            Password is required
          </mat-error>
          <mat-error *ngIf="password.dirty && password.errors?.minlength" class="kd-error">
            Password must contain at least 7 characters
          </mat-error>
        </div>
      </mat-dialog-content>
      <hr>
      <div class="form-group form-row justify-content-center kd-button-margin">
          <button class="btn btn-primary" type="submit" [ngClass]="submitHoverClass()"
                  [disabled]="newUserAccountForm.invalid">
                  Create account
          </button>
          <button class="btn btn-danger kd-btn-danger" type="reset" (click)="onClose()">
            Cancel
          </button>
      </div>
  </form>
</div>
